TOURNEY-MANAGER(6)

NAME
tourney-manager - perl interface to run chess engine tourneys

SYNOPSIS
tourney-manager configfiles

DESCRIPTION
tourney-manager helps you to run chess engine tournaments easyly.

Running Tournaments:

1. Create a directory in which the tourneymanager can put all his temporary files, configuration and results.

2. Then create the configuration files. Look at /usr/share/doc/tourney-manager/example.conf which is supplied along with the tourney manager. Copy this to the tourney directory,it is rather well commented.

More tuning has to be done to specify non standard chess engines. The example-engine.conf has some standard engines set. The settings have to be tuned according your system.

Example for an UCI engine:

example-engines.conf:

engine = Glaurung2 bin = /home/username/chess/tourney/glau.sh

glau.sh:

#!/bin/bash /usr/games/polyglot /home/username/chess/tourney/glaurung.ini

glaurung.ini:

[PolyGlot]

EngineDir = . EngineCommand = /usr/games/glaurung

Log = false LogFile = glaurung.log

Resign = true ResignScore = 600

[Engine]

Hash = 64 OwnBook = false Threads = 1

3. Start the tourney manager tourney-manager The tourney manager uses an interactive command shell. To start up quickly,the following sequence of commands should be enough:

        create
        print
        start

   Help about commands is available by 'help' and 'help <command>'.

OPTIONS
This program just takes the configfile as an option.

SEE ALSO
/usr/share/doc/tourney-manager/example.conf, and /usr/share/doc/tourney-manager/example-engines.conf.

AUTHOR
tourney-manager was written by Holger Ruckdeschel <holger@hoicher.de>.

This manual page was written by Oliver Korff <ok@xynyx.de>, for the Debian project (but may be used by others).